make fifo.py less spammy, tweak other descriptions/init.d
authorTero Marttila <terom@fixme.fi>
Wed, 17 Sep 2008 19:28:42 +0300
changeset 25 6c0a53a512d8
parent 24 0cdbd2735993
child 26 a7f74dd6d4e5
child 29 ee84c56d5019
make fifo.py less spammy, tweak other descriptions/init.d
docs/example-init.d-script
fixbot/fifo.py
twisted/plugins/fixbot_logwatch_plugin.py
twisted/plugins/fixbot_nexus_plugin.py
--- a/docs/example-init.d-script	Mon Sep 15 01:06:00 2008 +0300
+++ b/docs/example-init.d-script	Wed Sep 17 19:28:42 2008 +0300
@@ -16,20 +16,20 @@
         echo -n "\tnexus... "
 
         start-stop-daemon --start --quiet --exec /usr/bin/twistd \
-            --pidfile=$pidfile_nexus        \
-            --rundir=$rundir                \
-            --logfile=$logfile_nexus        \
-            nexus                           \
+            --pidfile="$pidfile_nexus"      \
+            --rundir="$rundir"              \
+            --logfile="$logfile_nexus"      \
+            fixbot_nexus                    \
             $args_nexus                     \
         && echo "[OK]" || echo "[FAIL]"
         
         echo -n "\tlogwatch... "
 
         start-stop-daemon --start --quiet --exec /usr/bin/twistd \
-            --pidfile=$pidfile_logwatch     \
-            --rundir=$rundir                \
-            --logfile=$logfile_logwatch     \
-            logwatch                        \
+            --pidfile="$pidfile_logwatch"   \
+            --rundir="$rundir"              \
+            --logfile="$logfile_logwatch"   \
+            fixbot_logwatch                 \
             $args_logwatch                  \
         && echo "[OK]" || echo "[FAIL]"
     ;;
@@ -38,10 +38,12 @@
         echo -n "Stopping fixbot:"
         
         echo "logwatch... "	
-        start-stop-daemon --stop --quiet              --pidfile $pidfile_logwatch
+        start-stop-daemon --stop --quiet    \
+            --pidfile "$pidfile_logwatch"
 
         echo "nexus... "
-        start-stop-daemon --stop --quiet              --pidfile $pidfile_nexus
+        start-stop-daemon --stop --quiet    \
+            --pidfile "$pidfile_nexus"
 
     ;;
 
@@ -55,7 +57,7 @@
     ;;
 
     *)
-        echo "Usage: /etc/init.d/fixbot {start|stop|restart|force-reload}" >&2
+        echo "Usage: $0 {start|stop|restart|force-reload}" >&2
         exit 1
     ;;
 esac
--- a/fixbot/fifo.py	Mon Sep 15 01:06:00 2008 +0300
+++ b/fixbot/fifo.py	Wed Sep 17 19:28:42 2008 +0300
@@ -45,7 +45,8 @@
 
     def _read (self, length) :
 
-        log.msg("(read %d bytes from %d:%s)" % (length, self.fd, self.path))
+#        log.msg("(read %d bytes from %d:%s)" % (length, self.fd, self.path))
+
         try :
             data = os.read(self.fd, length)
 
@@ -61,7 +62,7 @@
             log.msg("\tEOF")
             raise EOF()
         
-        log.msg("\tDATA: %d: %r" % (len(data), data))
+#        log.msg("\tDATA: %d: %r" % (len(data), data))
         return data
     
     def fileno (self) :
@@ -69,7 +70,7 @@
 
     def doRead (self) :
         while True :
-            log.msg("fifo doRead loop")
+#            log.msg("fifo doRead loop")
 
             try :
                 data = self._read(BUF_SIZE)
--- a/twisted/plugins/fixbot_logwatch_plugin.py	Mon Sep 15 01:06:00 2008 +0300
+++ b/twisted/plugins/fixbot_logwatch_plugin.py	Wed Sep 17 19:28:42 2008 +0300
@@ -20,7 +20,7 @@
 class MyServiceMaker (object) :
     implements(IServiceMaker, IPlugin)
     tapname = "fixbot_logwatch"
-    description = "A SysAdmin's best friend (Logwatcher)"
+    description = "FixBot (Logwatcher component)"
     options = LogwatchOptions
 
     def makeService (self, config) :
--- a/twisted/plugins/fixbot_nexus_plugin.py	Mon Sep 15 01:06:00 2008 +0300
+++ b/twisted/plugins/fixbot_nexus_plugin.py	Wed Sep 17 19:28:42 2008 +0300
@@ -28,7 +28,7 @@
 class MyServiceMaker (object) :
     implements(IServiceMaker, IPlugin)
     tapname = "fixbot_nexus"
-    description = "A SysAdmin's best friend"
+    description = "FixBot (nexus component)"
     options = NexusOptions
 
     def makeService (self, config) :